Run your Slackware installation with the latest kernel – 4.8.1!

SlackwareNEWS 161010
Kernel 4.8.1-x86_64-exton is my newest Slackware kernel. The stable kernel 4.8.1 was released on October 7, 2016.

I have compiled a very useful (as I think) 64 bit kernel for Slackware Current (14.2) and/or all Slackware derivatives. For example Slax, Zenwalk and SlackEX. The kernel is compiled exactly the same way as Slackware’s latest kernel huge. “My” kernel 4.8.1-x86_64-exton has even more support for new hardware, etc. Kernel 4.8.1 is the latest kernel available from Kernel.org. Released 20161007.

What’s new in kernel 4.8?

If you want to install my kernel in your Slackware 64 bit system, do this:

1. Download linux-kernel-4.8.1-x86_64-exton.txzmd5sum
2. Install it with the command installpkg linux-kernel-4.8.1-x86_64-exton.txz
(The kernel is packed just like Slackware’s original kernels so that everything ends up in the right place)
4. If necessary, change your Grub Legacy/Grub2 configuration
5. If you have an Nvidia graphics card in your computer, you may need to look over your files in /etc/modprobe.d before restarting the computer. That is remove the “blacklisting” of Nouveau’s kernel module in the appropriate files blacklist.conf and nvidia-installer-disable-nouveau.conf. With “my” kernel functions the Nouveau “free” driver works just fine.

NOTE: When you run the command installpkg linux-kernel-4.8.1-x86_64-exton.txz vmlinuz will be “created” in /boot. If you have /boot/vmlinuz already that file will be overwritten. In case you want to switch back to your old kernel you should make a backup of /boot/vmlinuz before you run the just mentioned command.

Restart your computer and enjoy!

exton-se-logo

6 thoughts on “Run your Slackware installation with the latest kernel – 4.8.1!”

  1. dear sir,
    I installed exGent alongside Apricity os . My problem is that after reboot Ithe grub loader is corrupt. I followed the installation instructions but /mnt/sdb7/boot/grub/menu.lst dont exist. As I am a beginner in this field I need help.
    please write a comment to help me out.

    thanks

    1. This comment shouldn’t be here, but anyway:

      You haven’t followed my install instructions at http://exgent.exton.net/install-harddisk/

      /dev/sdb7 can’t be your install partition. Am I right? No wonder you can’t find menu.lst.

      If you are new to Linux exGENT isn’t for you. Even if you manage to install exGENT correctly it is difficult to maintain the system.

      Btw: Apricity os is based on Arch Linux. Very good choice! I guess you start up Apricity os using Grub. You should therefore not install Grub while installing exGENT. It is better to edit your Grub installation in Apricity os. (/boot/grub/grub.cfg)

      Add the following lines:

      menuentry ‘exGENT (sda5)’ –class gnu-linux –class gnu –class os {
      set gfxpayload=$linux_gfx_mode
      insmod part_msdos
      insmod ext2
      set root=’hd0,gpt5′
      if [ x$feature_platform_search_hint = xy ]; then
      search –no-floppy –fs-uuid –set=root –hint-bios=hd0,gpt5 –hint-efi=hd0,gpt5 –hint-baremetal=ahci1,gpt5 2e3a100b-6ae5-48f4-b298-fdb94e7ac417
      else
      search –no-floppy –fs-uuid –set=root 2e3a100b-6ae5-48f4-b298-fdb94e7ac417
      fi
      linux /boot/kernel-genkernel-x86_64-4.4.0-gentoo-exton root=UUID=2e3a100b-6ae5-48f4-b298-fdb94e7ac417
      initrd /boot/initramfs-genkernel-x86_64-4.4.0-gentoo-exton
      }

      NOTE: Change sda5/gpt5 to suit your installation partition.

      Find out the correct UUID number (above 2e3a100b-6ae5-48f4-b298-fdb94e7ac417) for your install partition by running the command: blkid /dev/sda5. (Change /dev/sda5 to suit your install partition).

Leave a Reply

Your email address will not be published. Required fields are marked *